# Database Server

## Overview

There will be one Database Server node in the [Solution Explorer](/reference/servoy-developer/solution-explorer.md#overview) for each connection that you have configured. Expanding this node will show a list of all [tables](/reference/servoy-developer/solution-explorer/resources/database-servers/database-server/tables.md#tables) (they are also displayed in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview)), [procedures](/reference/servoy-developer/solution-explorer/resources/database-servers/database-server/procedures.md) and [views](/reference/servoy-developer/solution-explorer/resources/database-servers/database-server/views.md).

## Commands Summary

The following commands are available for any Database Server nodes. They can be accessed by right-clicking the context menu:

| Command                                                                           | Summary                                                                                                                                                                                                                                                                                      |
| --------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Open Server](#open-server)                                                       | Opens the DB Server connection in the [Database Connection Editor](/reference/servoy-developer/object-editors/database-server-connection-editor.md).                                                                                                                                         |
| [Create Table](#create-table)                                                     | Creates a new table in the target database and opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md)                                                                                                                                                          |
| [Duplicate Server](#duplicate-server)                                             | Creates a new DB Server connection with identical connection [properties](/reference/servoy-developer/object-editors/database-server-connection-editor.md) and opens it in the [Database Connection Editor](/reference/servoy-developer/object-editors/database-server-connection-editor.md) |
| [Enable/Disable Server](#enable-disable-server)                                   | Toggles the [enabled](/reference/servoy-developer/object-editors/database-server-connection-editor.md) property of DB Server                                                                                                                                                                 |
| [Synchronize with DB Server Information](#synchronize-with-db-server-information) | Opens the [Database Synchronization Wizard](/reference/servoy-developer/object-editors/database-synchronization-wizard.md)                                                                                                                                                                   |
| [Update Metadata](#update-metadata)                                               | Opens the [Metadata Synchronization Wizard](/reference/servoy-developer/object-editors/metadata-synchronization-wizard.md)                                                                                                                                                                   |
| [Reload Tables/Structure from DB](#reload-tables-structure-from-db)               | Reloads the schema from the database                                                                                                                                                                                                                                                         |
| [Load Relations](#load-relations)                                                 | Can create relations based on database tables FOREIGN KEY constraints.                                                                                                                                                                                                                       |
| [Flag Tenant Columns](#flag-tenant-columns)                                       | Specifies the column name which can be used as a tenant filter for all tables                                                                                                                                                                                                                |
| [Suggest Foreign Types](#suggest-foreign-types)                                   | Sets foreign types to columns                                                                                                                                                                                                                                                                |
| [Delete Database Connection](#delete-database-connection)                         | Deletes this DB Server connection                                                                                                                                                                                                                                                            |

## Commands Details

The details for each command available on this item via right-click context menu:

### Open Server

Opens the DB Server connection in the [Database Connection Editor](/reference/servoy-developer/object-editors/database-server-connection-editor.md).

### Create Table

Creates a new table in the target database and opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md).

### Duplicate Server

Creates a new DB Server connection with identical connection [properties](/reference/servoy-developer/object-editors/database-server-connection-editor.md) and opens it in the [Database Connection Editor](/reference/servoy-developer/object-editors/database-server-connection-editor.md)

### Enable/Disable Server

Toggles the enabled property of DB Server.

### Synchronize with DB Server Information

Use this command to synchronize between the database schema and the [Database Information (.dbi) files](/reference/servoy-developer/project-file-structure/workspace-folder/resources-directory/database-information-.dbi-files.md) in your project. This command will open the [database synchronization wizard](/reference/servoy-developer/object-editors/database-synchronization-wizard.md), where you can resolve differences between the schema and your .dbi files.

### Update Metadata

Opens a wizard to synchronize the metadata tables content (which have special structure and are marked as such from table editor) and metadata tables workspace content.

### Reload Tables/Structure from DB

Reloads tables from database. Should be used when tables are modified outside Servoy, in order to refresh them.

### Load Relations

Opens a wizard for creating relations based on foreign key constraints from the database. Useful when having an existing database, in order to quickly create some relations.

### Flag Tenant Columns

Sets a column name to be used as tenant column for all tables in selected database.

### Suggest Foreign Types

Opens a wizard which can set Foreign Type on columns based on suggestion.

### Delete Database Connection

Deletes the database connection (not the database itself). The database connection is stored under servoy.properties file


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/resources/database-servers/database-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
